-- TICKER_1000
function()
	if aura_env.queryPending then return end
	if WeakAuras.IsOptionsOpen() then return end
	SetWhoToUI(1)
	---@type WHOQuery
	local query = aura_env.whoQueries[aura_env.whoQueryIdx]
	aura_env.lastQuery = query
	SendWho(query.query)
	aura_env.whoQueryIdx = aura_env.whoQueryIdx + 1
	if aura_env.whoQueryIdx > #aura_env.whoQueries then
		aura_env.whoQueryIdx = 1
	end
end